import { Injector } from 'graphql-modules';
import type { IGetAllDocumentsResult } from '../types.js';
export declare function validateDocumentVat(document: IGetAllDocumentsResult, vatValue: number, onError: (message: string) => void, requireVat?: boolean): boolean;
export declare function validateDocumentAllocation(document: IGetAllDocumentsResult, injector: Injector): Promise<boolean>;
export declare function basicDocumentValidation(document: IGetAllDocumentsResult): boolean | "" | null;
